Package it.ernytech.tdlib

## Class TdApi.TextEntityType

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.TextEntityType

Direct Known Subclasses:
  `TdApi.TextEntityTypeBold`, `TdApi.TextEntityTypeBotCommand`, `TdApi.TextEntityTypeCashtag`, `TdApi.TextEntityTypeCode`, `TdApi.TextEntityTypeEmailAddress`, `TdApi.TextEntityTypeHashtag`, `TdApi.TextEntityTypeItalic`, `TdApi.TextEntityTypeMention`, `TdApi.TextEntityTypeMentionName`, `TdApi.TextEntityTypePhoneNumber`, `TdApi.TextEntityTypePre`, `TdApi.TextEntityTypePreCode`, `TdApi.TextEntityTypeTextUrl`, `TdApi.TextEntityTypeUrl`

Enclosing class:
  TdApi

    public abstract static class TdApi.TextEntityType
    extends TdApi.Object

This class is an abstract base class. Represents a part of the text which must be formatted differently.

### Constructor Summary

Constructors
`TextEntityType()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`getConstructor, toString`

### Constructor Detail

#### TextEntityType

    public TextEntityType()